<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haup_register_block_design_styles_list() {

/* 警告リスト */
	register_block_style('core/list', array(
	'name' =>  'ha-list-warning',
	'label' => __( 'Warning','hima-art-utility'),
  ));

/* 注意リスト */
	register_block_style('core/list', array(
	'name' =>  'ha-list-notice',
	'label' => __( 'Notice','hima-art-utility'),
  ));

/* アイディアリスト */
	register_block_style('core/list', array(
	'name' =>  'ha-list-idea',
	'label' => __( 'Idea','hima-art-utility'),
  ));

/* チェックリスト */
	register_block_style('core/list', array(
	'name' =>  'ha-list-info',
	'label' => __( 'Check','hima-art-utility'),
  ));

/* 数字リスト赤 */
	register_block_style('core/list', array(
	'name' =>  'ha-decimal-list-warning',
	'label' => __( 'Num Red','hima-art-utility'),
  ));

/* 数字リスト黄 */
	register_block_style('core/list', array(
	'name' =>  'ha-decimal-list-notice',
	'label' => __( 'Num Yellow','hima-art-utility'),
  ));

/* 数字リスト緑 */
	register_block_style('core/list', array(
	'name' =>  'ha-decimal-list-info',
	'label' => __( 'Num Green','hima-art-utility'),
	));

/* 階層リスト 前景色と同色 */
	register_block_style( 'core/list',array(
		'name' => 'ha-list-hierarchy',
		'label' => __( 'Hierarchy Default','hima-art-utility' ),
	));

/* 階層リスト 前景色と同色（太い） */
	register_block_style( 'core/list',array(
		'name' => 'ha-list-hierarchy-bold',
		'label' => __( 'Hierarchy Default(B)','hima-art-utility' ),
));

/* 階層リスト 背景色と同色 */
	register_block_style( 'core/list',array(
		'name' => 'ha-list-hierarchy-bg',
		'label' => __( 'Hierarchy BG Color','hima-art-utility' ),
));

/* 階層リスト 背景色と同色（太い） */
	register_block_style( 'core/list',array(
		'name' => 'ha-list-hierarchy-bg-bold',
		'label' => __( 'Hierarchy BG Color(B)','hima-art-utility' ),
));

/* 階層リスト 背景色と同色 */
	register_block_style( 'core/list',array(
		'name' => 'ha-list-hierarchy-gray',
		'label' => __( 'Hierarchy Gray','hima-art-utility' ),
));

/* 階層リスト 背景色と同色（太い） */
	register_block_style( 'core/list',array(
		'name' => 'ha-list-hierarchy-gray-bold',
		'label' => __( 'Hierarchy Gray(B)','hima-art-utility' ),
));

/*  */
/*
	register_block_style('core/list', array(
	'name' =>  '',
	'label' => __( '','hima-art-utility'),
  ));
*/
}
add_action('init','haup_register_block_design_styles_list');

